{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Block storage volumes may also be deleted by name by sending a DELETE request with the volume's **name** and the **region slug** for the region it is located in as query parameters to `/v2/volumes?name=$VOLUME_NAME&region=nyc1`.\nNo response body will be sent back, but the response code will indicate success. Specifically, the response code will be a 204, which means that the action was successful with no returned body data.\n\n","properties":{"query":{"type":"object","properties":{"name":{"type":"string","examples":["example"],"description":"The block storage volume's name."},"region":{"$ref":"#/definitions/region_slug","examples":["nyc3"],"description":"The slug identifier for the region where the resource is available."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false,"definitions":{"region_slug":{"type":"string","description":"The slug identifier for the region where the resource will initially be  available.","enum":["ams1","ams2","ams3","blr1","fra1","lon1","nyc1","nyc2","nyc3","sfo1","sfo2","sfo3","sgp1","tor1","syd1"],"examples":["nyc3"]}}},"name":"Delete a Block Storage Volume by Name","id":"digitalocean.volumes_delete_byname","example":{},"maxRequests":1,"summary":false}}